> For the complete documentation index, see [llms.txt](https://docs.veedna.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.veedna.com/sbom360/lineaje-api/models.md).

# Models

## The LoginRequest object

```json
{"openapi":"3.0.3","info":{"title":"Lineaje API Documentation","version":"1.0.0"},"components":{"schemas":{"LoginRequest":{"type":"object","required":["username","password"],"properties":{"username":{"type":"string"},"password":{"type":"string","format":"password"}}}}}}
```

## The LoginResponse object

```json
{"openapi":"3.0.3","info":{"title":"Lineaje API Documentation","version":"1.0.0"},"components":{"schemas":{"LoginResponse":{"type":"object","properties":{"accessToken":{"type":"string"},"idToken":{"type":"string"},"refreshToken":{"type":"string"},"tokenType":{"type":"string"},"expiresIn":{"type":"integer"},"scope":{"type":"string"},"expiresAt":{"type":"string"}}}}}}
```

## The RenewAccessTokenResponse object

```json
{"openapi":"3.0.3","info":{"title":"Lineaje API Documentation","version":"1.0.0"},"components":{"schemas":{"RenewAccessTokenResponse":{"type":"object","properties":{"access_token":{"type":"string"},"refresh_token":{"type":"string","description":"Rotated refresh token, if returned."},"expires_in":{"type":"integer","description":"Seconds until the access token expires (default 3600)."}}}}}}
```

## The Status object

```json
{"openapi":"3.0.3","info":{"title":"Lineaje API Documentation","version":"1.0.0"},"components":{"schemas":{"Status":{"type":"object","properties":{"type":{"type":"string"},"message":{"type":"string"},"code":{"type":"integer"}}}}}}
```

## The ScmConfigurationSaveRequest object

```json
{"openapi":"3.0.3","info":{"title":"Lineaje API Documentation","version":"1.0.0"},"components":{"schemas":{"ScmConfigurationSaveRequest":{"type":"object","required":["name","description","accessToken","connector"],"properties":{"name":{"type":"string"},"description":{"type":"string"},"accessToken":{"type":"string","description":"SCM personal access token."},"connector":{"type":"string","description":"SCM type.","enum":["github","bitbucket","gitlab","git"]}}}}}}
```

## The ScmConfigurationData object

```json
{"openapi":"3.0.3","info":{"title":"Lineaje API Documentation","version":"1.0.0"},"components":{"schemas":{"ScmConfigurationData":{"type":"object","properties":{"createdBy":{"type":"string"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"},"configurationId":{"type":"integer"},"tenantId":{"type":"string"},"companyId":{"type":"string"},"userRoles":{"type":"string"},"configurationName":{"type":"string"},"configurationDescription":{"type":"string"},"connectorId":{"type":"string"},"secretKeyName":{"type":"string"}}}}}}
```

## The ScmConfigurationSaveResponse object

```json
{"openapi":"3.0.3","info":{"title":"Lineaje API Documentation","version":"1.0.0"},"components":{"schemas":{"ScmConfigurationSaveResponse":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/Status"},"data":{"$ref":"#/components/schemas/ScmConfigurationData"}}},"Status":{"type":"object","properties":{"type":{"type":"string"},"message":{"type":"string"},"code":{"type":"integer"}}},"ScmConfigurationData":{"type":"object","properties":{"createdBy":{"type":"string"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"},"configurationId":{"type":"integer"},"tenantId":{"type":"string"},"companyId":{"type":"string"},"userRoles":{"type":"string"},"configurationName":{"type":"string"},"configurationDescription":{"type":"string"},"connectorId":{"type":"string"},"secretKeyName":{"type":"string"}}}}}}
```

## The RepositoryDto object

```json
{"openapi":"3.0.3","info":{"title":"Lineaje API Documentation","version":"1.0.0"},"components":{"schemas":{"RepositoryDto":{"type":"object","properties":{"repositoryName":{"type":"string"},"repositoryUri":{"type":"string"},"private":{"type":"boolean"},"projectName":{"type":"string"},"projectVersion":{"type":"string"},"branchName":{"type":"string"},"branch":{"type":"boolean","description":"true when onboarding a branch (with branchName); false when onboarding a tag (with tagName)."},"tagName":{"type":"string"}}}}}}
```

## The ScmRepositoryAddRequest object

```json
{"openapi":"3.0.3","info":{"title":"Lineaje API Documentation","version":"1.0.0"},"components":{"schemas":{"ScmRepositoryAddRequest":{"type":"object","required":["connector","configurationId","repositoryDtoList"],"properties":{"connector":{"type":"string","enum":["github","bitbucket","gitlab","git"]},"configurationId":{"type":"integer"},"repositoryDtoList":{"type":"array","items":{"$ref":"#/components/schemas/RepositoryDto"}}}},"RepositoryDto":{"type":"object","properties":{"repositoryName":{"type":"string"},"repositoryUri":{"type":"string"},"private":{"type":"boolean"},"projectName":{"type":"string"},"projectVersion":{"type":"string"},"branchName":{"type":"string"},"branch":{"type":"boolean","description":"true when onboarding a branch (with branchName); false when onboarding a tag (with tagName)."},"tagName":{"type":"string"}}}}}}
```

## The ScmRepositoryEntity object

```json
{"openapi":"3.0.3","info":{"title":"Lineaje API Documentation","version":"1.0.0"},"components":{"schemas":{"ScmRepositoryEntity":{"type":"object","properties":{"createdAt":{"type":"string"},"updatedAt":{"type":"string"},"repositoryId":{"type":"integer"},"repository_name":{"type":"string"},"repository_uri":{"type":"string"},"branch_name":{"type":"string"},"is_private":{"type":"boolean"},"project_name":{"type":"string"},"project_version":{"type":"string"}}}}}}
```

## The ScmRepositoryAddResponse object

```json
{"openapi":"3.0.3","info":{"title":"Lineaje API Documentation","version":"1.0.0"},"components":{"schemas":{"ScmRepositoryAddResponse":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/Status"},"data":{"allOf":[{"$ref":"#/components/schemas/ScmConfigurationData"},{"type":"object","properties":{"scmRepositoryEntities":{"type":"array","items":{"$ref":"#/components/schemas/ScmRepositoryEntity"}},"scmPublicRepositoryEntities":{"type":"array","items":{"type":"object"}}}}]}}},"Status":{"type":"object","properties":{"type":{"type":"string"},"message":{"type":"string"},"code":{"type":"integer"}}},"ScmConfigurationData":{"type":"object","properties":{"createdBy":{"type":"string"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"},"configurationId":{"type":"integer"},"tenantId":{"type":"string"},"companyId":{"type":"string"},"userRoles":{"type":"string"},"configurationName":{"type":"string"},"configurationDescription":{"type":"string"},"connectorId":{"type":"string"},"secretKeyName":{"type":"string"}}},"ScmRepositoryEntity":{"type":"object","properties":{"createdAt":{"type":"string"},"updatedAt":{"type":"string"},"repositoryId":{"type":"integer"},"repository_name":{"type":"string"},"repository_uri":{"type":"string"},"branch_name":{"type":"string"},"is_private":{"type":"boolean"},"project_name":{"type":"string"},"project_version":{"type":"string"}}}}}}
```

## The SbomJob object

```json
{"openapi":"3.0.3","info":{"title":"Lineaje API Documentation","version":"1.0.0"},"components":{"schemas":{"SbomJob":{"type":"object","properties":{"projectId":{"type":"integer"},"name":{"type":"string"},"version":{"type":"string"},"jobId":{"type":"integer"},"sbomId":{"type":"string"},"tenantId":{"type":"string"},"uniqueOrgId":{"type":"string"},"sbomType":{"type":"string"},"crawlerType":{"type":"string"},"jobStatus":{"type":"string"},"jobMessage":{"type":"string"},"projectGroup":{"type":"string","nullable":true},"userEmail":{"type":"string"},"orgName":{"type":"string"},"generationMethod":{"type":"string"},"generationType":{"type":"string"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"created_date":{"type":"string"},"modified_date":{"type":"string"}}}}}}
```

## The Project object

```json
{"openapi":"3.0.3","info":{"title":"Lineaje API Documentation","version":"1.0.0"},"components":{"schemas":{"Project":{"type":"object","properties":{"projectName":{"type":"string"},"projectVersion":{"type":"string"},"orgName":{"type":"string"},"projectStatus":{"type":"string"},"generationType":{"type":"string"},"sbomJobs":{"type":"array","items":{"$ref":"#/components/schemas/SbomJob"}}}},"SbomJob":{"type":"object","properties":{"projectId":{"type":"integer"},"name":{"type":"string"},"version":{"type":"string"},"jobId":{"type":"integer"},"sbomId":{"type":"string"},"tenantId":{"type":"string"},"uniqueOrgId":{"type":"string"},"sbomType":{"type":"string"},"crawlerType":{"type":"string"},"jobStatus":{"type":"string"},"jobMessage":{"type":"string"},"projectGroup":{"type":"string","nullable":true},"userEmail":{"type":"string"},"orgName":{"type":"string"},"generationMethod":{"type":"string"},"generationType":{"type":"string"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"created_date":{"type":"string"},"modified_date":{"type":"string"}}}}}}
```

## The ProjectListResponse object

```json
{"openapi":"3.0.3","info":{"title":"Lineaje API Documentation","version":"1.0.0"},"components":{"schemas":{"ProjectListResponse":{"type":"object","properties":{"results":{"type":"object","properties":{"projects":{"type":"array","items":{"$ref":"#/components/schemas/Project"}}}},"total_count":{"type":"integer"},"current_page":{"type":"integer"},"total_pages":{"type":"integer"},"page_size":{"type":"integer"}}},"Project":{"type":"object","properties":{"projectName":{"type":"string"},"projectVersion":{"type":"string"},"orgName":{"type":"string"},"projectStatus":{"type":"string"},"generationType":{"type":"string"},"sbomJobs":{"type":"array","items":{"$ref":"#/components/schemas/SbomJob"}}}},"SbomJob":{"type":"object","properties":{"projectId":{"type":"integer"},"name":{"type":"string"},"version":{"type":"string"},"jobId":{"type":"integer"},"sbomId":{"type":"string"},"tenantId":{"type":"string"},"uniqueOrgId":{"type":"string"},"sbomType":{"type":"string"},"crawlerType":{"type":"string"},"jobStatus":{"type":"string"},"jobMessage":{"type":"string"},"projectGroup":{"type":"string","nullable":true},"userEmail":{"type":"string"},"orgName":{"type":"string"},"generationMethod":{"type":"string"},"generationType":{"type":"string"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"created_date":{"type":"string"},"modified_date":{"type":"string"}}}}}}
```

## The PlanComponent object

```json
{"openapi":"3.0.3","info":{"title":"Lineaje API Documentation","version":"1.0.0"},"components":{"schemas":{"PlanComponent":{"type":"object","description":"A component in a Gold Plan (used in plan_details and in the apply request).","properties":{"version":{"type":"string"},"type":{"type":"string","description":"Plan type for the component: curated, rebuild, or premium."},"patch_type":{"type":"string"},"status":{"type":"string"},"fix_version":{"type":"string"},"build_breaking_changes":{"type":"boolean"},"is_compatible":{"type":"boolean"},"vuln_fixed":{"type":"array","items":{"type":"string"}},"vuln_not_fixed":{"type":"array","items":{"type":"string"}},"vuln_fix_count":{"type":"object","properties":{"critical":{"type":"integer"},"high":{"type":"integer"},"medium":{"type":"integer"},"low":{"type":"integer"}}},"efforts":{"type":"string"},"summary":{"type":"string"},"current_purl":{"type":"string"},"suggested_purl":{"type":"string"}}}}}}
```

## The PrHistory object

```json
{"openapi":"3.0.3","info":{"title":"Lineaje API Documentation","version":"1.0.0"},"components":{"schemas":{"PrHistory":{"type":"object","properties":{"created":{"type":"string"},"status":{"type":"string"},"pr_link":{"type":"string"},"pr_number":{"type":"string"},"pr_title":{"type":"string"}}}}}}
```

## The ExplainRequest object

```json
{"openapi":"3.0.3","info":{"title":"Lineaje API Documentation","version":"1.0.0"},"components":{"schemas":{"ExplainRequest":{"type":"object","required":["query","sbom_id"],"properties":{"query":{"type":"string","description":"\"Recommend a fix plan\" to fetch/poll; \"Apply fix left plan\" to apply."},"sbom_id":{"type":"string"},"options":{"type":"object","description":"Set both true to populate artifacts and pr_history in the ready response.","properties":{"include_artifacts":{"type":"boolean"},"include_pr_history":{"type":"boolean"}}},"guid":{"type":"string","description":"Include the guid returned by the first fetch call to poll for the result."},"metadata":{"type":"object","description":"Apply-plan payload — the components to include in the PR.","properties":{"components":{"type":"array","items":{"$ref":"#/components/schemas/PlanComponent"}}}}}},"PlanComponent":{"type":"object","description":"A component in a Gold Plan (used in plan_details and in the apply request).","properties":{"version":{"type":"string"},"type":{"type":"string","description":"Plan type for the component: curated, rebuild, or premium."},"patch_type":{"type":"string"},"status":{"type":"string"},"fix_version":{"type":"string"},"build_breaking_changes":{"type":"boolean"},"is_compatible":{"type":"boolean"},"vuln_fixed":{"type":"array","items":{"type":"string"}},"vuln_not_fixed":{"type":"array","items":{"type":"string"}},"vuln_fix_count":{"type":"object","properties":{"critical":{"type":"integer"},"high":{"type":"integer"},"medium":{"type":"integer"},"low":{"type":"integer"}}},"efforts":{"type":"string"},"summary":{"type":"string"},"current_purl":{"type":"string"},"suggested_purl":{"type":"string"}}}}}}
```

## The ExplainResponse object

```json
{"openapi":"3.0.3","info":{"title":"Lineaje API Documentation","version":"1.0.0"},"components":{"schemas":{"ExplainResponse":{"type":"object","properties":{"response_time":{"type":"number"},"answer":{"type":"string","nullable":true},"graphql":{"nullable":true},"query_suggestions":{"nullable":true},"view_details":{"nullable":true},"meta_data":{"type":"object","nullable":true,"properties":{"plan_details":{"type":"array","items":{"$ref":"#/components/schemas/PlanComponent"}},"overall_status":{"type":"string"},"overall_plan_type":{"type":"string"},"pr_history":{"type":"array","items":{"$ref":"#/components/schemas/PrHistory"}},"artifacts":{"type":"array","items":{"type":"string"}}}},"metadata_v2":{"type":"object"},"task_ids":{"type":"array","items":{"type":"string"}},"column":{"nullable":true},"view_schema":{"nullable":true},"Greeting":{"nullable":true},"guid":{"type":"string","nullable":true},"message":{"type":"string","nullable":true},"workflow_id":{"type":"string","nullable":true},"error":{"type":"boolean"}}},"PlanComponent":{"type":"object","description":"A component in a Gold Plan (used in plan_details and in the apply request).","properties":{"version":{"type":"string"},"type":{"type":"string","description":"Plan type for the component: curated, rebuild, or premium."},"patch_type":{"type":"string"},"status":{"type":"string"},"fix_version":{"type":"string"},"build_breaking_changes":{"type":"boolean"},"is_compatible":{"type":"boolean"},"vuln_fixed":{"type":"array","items":{"type":"string"}},"vuln_not_fixed":{"type":"array","items":{"type":"string"}},"vuln_fix_count":{"type":"object","properties":{"critical":{"type":"integer"},"high":{"type":"integer"},"medium":{"type":"integer"},"low":{"type":"integer"}}},"efforts":{"type":"string"},"summary":{"type":"string"},"current_purl":{"type":"string"},"suggested_purl":{"type":"string"}}},"PrHistory":{"type":"object","properties":{"created":{"type":"string"},"status":{"type":"string"},"pr_link":{"type":"string"},"pr_number":{"type":"string"},"pr_title":{"type":"string"}}}}}}
```

## The LqlRequest object

```json
{"openapi":"3.0.3","info":{"title":"Lineaje API Documentation","version":"1.0.0"},"components":{"schemas":{"LqlRequest":{"type":"object","required":["lql"],"properties":{"lql":{"type":"string","description":"The LQL query. See the LQL tag description for full syntax."},"limit":{"type":"integer","description":"Total items in the response."},"page_no":{"type":"integer","description":"Page number."},"is_opensource":{"type":"boolean"},"include_raw_data":{"type":"boolean"},"agg_limit":{"type":"integer","nullable":true},"company_id":{"type":"string"},"product_id":{"type":"integer"},"valueschema":{"type":"string"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.veedna.com/sbom360/lineaje-api/models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
